def fold(input: Tensor,
    output_size: List[int],
    kernel_size: List[int],
    dilation: List[int]=[1, 1],
    padding: List[int]=[0, 0],
    stride: List[int]=[1, 1]) -> Tensor:
  _0 = "Input Error: Only unbatched (2D) or batched (3D) input Tensorsare supported (got {}D)"
  _1 = uninitialized(Tensor)
  if torch.eq(torch.dim(input), 3):
    _2 = True
  else:
    _2 = torch.eq(torch.dim(input), 2)
  if _2:
    _4 = torch.col2im(input, output_size, kernel_size, dilation, padding, stride)
    _3 = _4
  else:
    ops.prim.RaiseException(torch.format(_0, torch.dim(input)))
    _3 = _1
  return _3
def unfold(input: Tensor,
    kernel_size: List[int],
    dilation: List[int]=[1, 1],
    padding: List[int]=[0, 0],
    stride: List[int]=[1, 1]) -> Tensor:
  _5 = "Input Error: Only 4D input Tensors are supported (got {}D)"
  _6 = uninitialized(Tensor)
  if torch.eq(torch.dim(input), 4):
    _8 = torch.im2col(input, kernel_size, dilation, padding, stride)
    _7 = _8
  else:
    ops.prim.RaiseException(torch.format(_5, torch.dim(input)))
    _7 = _6
  return _7
