class Fold(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  kernel_size : Final[Tuple[int, int]] = (2, 2)
  stride : Final[int] = 1
  output_size : Final[Tuple[int, int]] = (5, 10)
  padding : Final[int] = 0
  dilation : Final[int] = 1
  def forward(self: __torch__.torch.nn.modules.fold.Fold,
    input: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.functional.fold(input, [5, 10], [2, 2], [1, 1], [0, 0], [1, 1], )
    return _0
class Unfold(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  dilation : Final[int] = 1
  padding : Final[int] = 0
  kernel_size : Final[int] = 3
  stride : Final[int] = 1
  def forward(self: __torch__.torch.nn.modules.fold.Unfold,
    input: Tensor) -> Tensor:
    _1 = __torch__.torch.nn.functional.unfold
    _2 = _1(input, [3, 3], [1, 1], [0, 0], [1, 1], )
    return _2
